## bible-kjv 4.39

=== debian/changelog ===
bible-kjv (4.39) unstable; urgency=medium

  * Support rootless building (Closes: #1089291)

 -- Matthew Vernon <matthew@debian.org>  Sun, 08 Dec 2024 13:37:07 +0000

=== debian/control ===
Source: bible-kjv
Section: doc
Priority: optional
Maintainer: Matthew Vernon <matthew@debian.org>
Build-Depends: libreadline-dev, debhelper-compat (= 12)
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: bible-kjv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bible-kjv-text
Conflicts: verse (<= 0.20)
Suggests: verse
Description: King James Version of the Bible: user interface program.
 This package contains a text-retrieval program and user interface which is
 primarily designed to operate on the text and concordance of the King
 James translation of the Bible, although it could, in principle, be
 used for any text.  The search/browse engine allows searching and
 reading passages from scripture. Includes full concordance.
 .
 It would be nice if someone could set up a web interface for the bible.

Package: bible-kjv-text
Architecture: all
Depends: ${misc:Depends}
Recommends: bible-kjv
Conflicts: bible-kjv (<< 4.00-5)
Description: King James Version of the Bible - text and concordance
 This package contains the King James Version of the Bible (translated in
 1611) which is and was widely used in the English speaking culture,
 together with a full concordance.
 .
 The text and concordance are compressed and require the bible-kjv package
 which contains a text-based user interface for accessing the text.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk

package=bible-kjv

build:
	$(checkdir)
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build --no-parallel -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
	rm -f *.o
	dh_auto_build --no-parallel -- bible 'LD=$$(CC)'
	cd debian && $(CC) -g -O2 -ffile-prefix-map=$(CURDIR)=. -o randverse randverse.c
	touch build

build-arch: build

build-indep: build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* bible debian/bible-kjv-text \
		debian/randverse debian/substvars randverse

binary-indep:	build
	$(checkdir)
	-rm -fr debian/tmp debian/bible-kjv-text/
	install -d debian/tmp/usr
	make install DEST=debian/tmp/usr
	install -d debian/bible-kjv-text debian/bible-kjv-text/DEBIAN
	install -m 755 debian/bible-kjv-text.postinst debian/bible-kjv-text/DEBIAN/postinst
	install -m 755 debian/bible-kjv-text.prerm debian/bible-kjv-text/DEBIAN/prerm
	cd debian/bible-kjv-text && install -d -m 775 `cat ../bible-kjv-text.dirs` 
	cp debian/copyright debian/bible-kjv-text/usr/share/doc/bible-kjv-text
	cp debian/changelog debian/bible-kjv-text/usr/share/doc/bible-kjv-text/changelog
	cp debian/text.readme debian/bible-kjv-text/usr/share/doc/bible-kjv-text/Debian.README
	gzip --best -n debian/bible-kjv-text/usr/share/doc/bible-kjv-text/Debian.README
	gzip --best -n debian/bible-kjv-text/usr/share/doc/bible-kjv-text/changelog
	cd debian/tmp && \
		mv `cat ../bible-kjv-text.files` ../bible-kjv-text/usr/lib
	dpkg-gencontrol -pbible-kjv-text -Pdebian/bible-kjv-text -isp
	chmod -R go=rX debian/bible-kjv-text
	dpkg-deb --build --root-owner-group debian/bible-kjv-text ..

binary-arch:	build
	$(checkdir)
	-rm -rf debian/tmp debian/bible-kjv-text/
	install -d debian/tmp debian/tmp/DEBIAN
	install -m 755 debian/postinst debian/tmp/DEBIAN
	install -m 755 debian/prerm debian/tmp/DEBIAN
	install -m 755 debian/postrm debian/tmp/DEBIAN
	install -d debian/tmp/usr/share/doc/$(package)
	install -d debian/tmp/usr/share/man/man1
	install -d debian/tmp/usr/bin debian/tmp/usr/lib
	make install DEST=debian/tmp/usr
	install -m 755 debian/randverse debian/tmp/usr/bin
	install -m 755 bible debian/tmp/usr/bin
	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1
	dh_strip -p$(package) --tmpdir=debian/tmp
	cp debian/notes debian/copyright debian/tmp/usr/share/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
	cp README* debian/README* debian/tmp/usr/share/doc/$(package)
	install -m 755 -d debian/tmp/usr/lib/menu
	install -m 644 debian/menu     debian/tmp/usr/lib/menu/$(package)
	chmod a+r debian/tmp/usr/share/doc/$(package)/*
	gzip -9 -n debian/tmp/usr/share/doc/$(package)/*
	gunzip -9 debian/tmp/usr/share/doc/$(package)/copyright.gz
	gzip -9 -n debian/tmp/usr/share/man/man1/*
	cd debian/tmp && \
		rm `cat ../bible-kjv-text.files`
	dpkg-shlibdeps bible
	dpkg-gencontrol -pbible-kjv -Pdebian/tmp -isp
	chmod -R g-ws debian/tmp
	dpkg-deb --build --root-owner-group debian/tmp ..

binary: binary-indep binary-arch

define checkdir
	test -f bible.c -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean build-arch build-indep

## bible-kjv 4.40

=== debian/changelog ===
bible-kjv (4.40) unstable; urgency=medium

  * Use dpkg-buildflags (Closes: #1119360)
  * Fix a bunch of not-checked-return values flagged by the above

 -- Matthew Vernon <matthew@debian.org>  Fri, 07 Nov 2025 14:34:47 +0000

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build --no-parallel -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
 	rm -f *.o
 	dh_auto_build --no-parallel -- bible 'LD=$$(CC)'
-	cd debian && $(CC) -g -O2 -ffile-prefix-map=$(CURDIR)=. -o randverse randverse.c
+	cd debian && $(CC) `dpkg-buildflags --get CFLAGS` -g -O2 -ffile-prefix-map=$(CURDIR)=. -o randverse randverse.c
 	touch build
 
 build-arch: build

## bible-kjv 4.41

=== Makefile ===
# -*-Fundamental-*-
###############################################################################
#
# File:         Makefile
# RCS:          $Header: /home/matthew/cvs/bible-kjv-4.10/Makefile,v 2.11 2005/01/22 23:31:01 matthew Exp $
# Description:  Makefile for Bible Retrieval System
# Author:       Chip Chapin, Hewlett Packard Company
# Created:      Thu Aug 24 17:26:25 1989
# Modified:     Tue Apr 27 12:57:45 1993 (Chip Chapin) chip@hpclbis
# Language:     make
# Package:      Bible Retrieval System
# Status:       Experimental (Do Not Distribute)
#
###############################################################################
#
# Revisions:
#
# $Log: Makefile,v $
# Revision 2.11  2005/01/22 23:31:01  matthew
# Remove -traditional, since newer GCCs then object to ANSI
# prototypes...
#
# Revision 2.10  2005/01/22 18:51:01  matthew
# add more warnings
#
# Revision 2.9  2005/01/21 18:00:25  matthew
# Remove -fwritable-strings
#
# Revision 2.8  2003/07/26 10:05:06  matthew
# 4.15 release
#
# Revision 2.7  2003/01/09 13:29:08  matthew
# Remove a bit more cruft with clean
#
# Revision 2.6  2003/01/08 19:18:31  matthew
# add an -f flag to the rm -f squish.stats, so this doesnt barf
#
# Revision 2.5  2003/01/08 18:29:12  matthew
# patch from IWJ to make this -j compatible
#
# Revision 2.4  2003/01/08 16:14:17  matthew
# tidy up header a little
#
# Revision 2.3  2003/01/08 16:13:29  matthew
# remove clobber target, and make clean target remove everything that should go
#
# Revision 2.2  2003/01/08 16:08:50  matthew
# clean target now removes things created by makeindex2
#
# Revision 2.1  2003/01/08 15:50:53  matthew
# applied debian patch
#
# Revision 2.0  2003/01/08 15:29:51  matthew
# versions collected from the net
#
# Revision 1.27  93/04/27  12:57:55  12:57:55  chip (Chip Chapin)
# Removed dependencies from "install" target".
#
###############################################################################

# name of main program -- this determines a lot of other names
PROGRAM       = bible

# name of supplemental index file -- generated from raw data file
PROGINDEX     = $(PROGRAM)-index

README	      = README.$(PROGRAM)

# primary man page
MAN	      = $(PROGRAM).1

# raw data file
RAWDATA	      = $(PROGRAM).rawtext

# Derived data file.  Comes from processing raw data file.
DATA	      = $(PROGRAM).data

# Ninstall package
NINSTPKG      = $(PROGRAM).pkg

# where to install this stuff
DEST	      = /usr
#DEST	      = $(HOME)/local
DESTBIN	      = $(DEST)/bin
DESTLIB       = $(DEST)/lib
DESTMAN	      = $(DEST)/share/man
DESTMAN1      = $(DESTMAN)/man1

# I use environment variables for these...
#CFLAGS	      = -g
CFLAGS	      = -Wall -Wformat -Werror -Wshadow -W -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wcast-align -Wcast-qual -Wbad-function-cast -Wpointer-arith -g2 -ggdb -DDESTLIB=\"$(DESTLIB)\" -ffile-prefix-map=$(CURDIR)=.
CFLAGS += `dpkg-buildflags --get CFLAGS`
LDFLAGS       = `dpkg-buildflags --get LDFLAGS`
LDADD         = -lreadline

# release directories.  Nobody should care about this but me
FTPHOME	      = /mnt/ftp
RELEASEDIR    = $(FTPHOME)/pub/$(PROGRAM)
NINSTDIR      = /usr/adm/netdist
NINSTPKGDIR   = $(NINSTDIR)/packages

# This is only used by the author when making a new release ftp-able.
INSTALL	      = .do cp

LD	      = cc

MAKEFILE      = Makefile

PRINT	      = pr

SHELL	      = /bin/sh

MKDIR       = install -d

###############################################################################
# Sources, objects, and tools
###############################################################################
# PROGOBJS and PROGSRCS are the components of the main program.
PROGOBJS      = $(PROGRAM).o \
		brl-index.o \
		brl.o \
		$(PROGINDEX).o \
		tsl.o \
    	    	util.o \
		compresslib.o

PROGSRCS      = $(PROGRAM).c \
		brl-index.c \
		brl.c \
		$(PROGINDEX).c \
		tsl.c \
    	    	util.c \
		compresslib.c

# TOOLOBJS and TOOLSRCS are objects and sources used in building TOOLS.
TOOLOBJS      = buildcmp.o \
		makeindex.o \
		makeconcfile.o \
		squish.o

TOOLSRCS      = buildcmp.c \
		makeindex.c \
		makeconcfile.c \
		squish.c

TOOLS	      = buildcmp squish makeindex makeconcfile

# TOOLS2 are additional scripts and data files used in constructing stuff.
TOOLS2	      = makeindex2 \
		makeconcordance \
		makeconc.pl \
		$(PROGRAM).stopwords

# HDRS lists all header files used by PROGRAM and TOOLS
HDRS	      = brl.h \
		brl-startverse.h \
		brl-startchapter.h \
		tsl.h \
		util.h \
		version.h


###############################################################################
# Distribution and version-control packages
###############################################################################
# SRCS includes all archivable sources except headers, both tools and program
SRCS	      = $(PROGSRCS) \
		$(TOOLSRCS) \
		$(TOOLS2)

# DOC includes all available program documentation
DOC	      = $(README) \
		README.ftp \
		$(MAN)

# List of files controlled by RCS
RCSFILES      = $(DOC) \
		$(SRCS) \
		$(HDRS) \
		$(MAKEFILE) \
		$(NINSTPKG) \
		testall

# PROGDIST contains only those files needed to build PROGRAM, plus doc.
PROGDIST      = $(HDRS) \
		$(PROGSRCS) \
		$(MAKEFILE) \
		$(DOC)

# DATADIST contains the fully-processed compressed data files
DATADIST      = $(DATA) $(DATA).conc

# TOOLSDIST contains all additional files needed to build a new
# version of this application from scratch, including re-processing data.
TOOLSDIST     = $(TOOLSRCS) \
		$(TOOLS2) \
		$(NINSTPKG) \
		testall 


###############################################################################
# TARGETS
###############################################################################
$(PROGRAM):	$(PROGOBJS)
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $(PROGOBJS) $(LDADD) -o $@
		@echo "done"


all:		$(PROGRAM) $(TOOLS) $(DATA) $(DATA).conc

buildcmp:	buildcmp.o compresslib.o util.o
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $@.o compresslib.o util.o -o $@
		@echo "done"
		
squish:		squish.o
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $@.o -o $@
		@echo "done"
		
makeindex:	makeindex.o
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $@.o -o $@
		@echo "done"
		
makeconcfile:	makeconcfile.o util.o
		@echo "Linking $@ ..."
		@$(LD) $(LDFLAGS) $@.o util.o -o $@
		@echo "done"
		
brl-startverse.h:	$(RAWDATA)
		./makeindex2 $(RAWDATA)

brl-startchapter.h: brl-startverse.h

###############################################################################
# The nested makes are used on the following items to
# avoid establishing an explicit dependency on those files.
# Such a dependency causes lots of extra work.
$(DATA).conc:	$(PROGRAM).rawconcordance
		make makeconcfile
		./makeconcfile $@ < $(PROGRAM).rawconcordance

squish.data:	$(RAWDATA)
		make squish
		if ./squish -w 65536 -v < $(RAWDATA) >squish.tmpdata; \
		then	mv squish.tmpdata squish.data; \
		else	rm -f squish.tmpdata squish.stats; fi
		
squish.stats:	squish.data

$(PROGINDEX).c:	$(RAWDATA)
		make makeindex
		./makeindex $(RAWDATA) > $@

$(DATA):	squish.stats squish.data
		make buildcmp
		./buildcmp
		mv squish.output $@


#
###############################################################################

# The next one ensures that $(PROGINDEX).c gets its dependency satisfied.
# Note that $(PROGINDEX).c is included in source distributions, while 
# $(RAWDATA) is NOT included in all distributions.  $(PROGINDEX).c does NOT 
# need to be rebuilt unless someone (probably me) has munged $(RAWDATA).
SAFEDATE = 0101000193
$(RAWDATA):
		@touch $(SAFEDATE) $@
		@if [ -r $(SAFEDATE) ]; then \
			/bin/rm $(SAFEDATE) $@; \
			if [ -x /usr/5bin/touch ]; then \
				/usr/5bin/touch $(SAFEDATE) $@; \
			else \
				# major kludge alert! ... \
				touch brl-startverse.h brl-startchapter.h; \
			fi; \
		fi
		@echo "  A dummy $(RAWDATA) file has been created."

# The dependency on $(RAWDATA) helps to ensure that the raw concordance file
# is not rebuilt unnecessarily.
$(PROGRAM).rawconcordance:	$(RAWDATA)
		@echo "To exclude \"stopwords\" from concordance use this:"
		@echo "     ./makeconc.pl bible.stopwords"
		@echo "NOTE: The next command will FAIL if you don't have PERL."
		@echo "  If it fails, edit Makefile to use this instead:"
		@echo "     ./makeconcordance"
		@echo "Here we go..."
		./makeconc.pl
#		./makeconcordance

$(MAN).gz:	$(MAN)
		/bin/rm $@
		gzip < $(MAN) > $(MAN).gz

clean:;		@rm -f $(PROGOBJS) $(TOOLOBJS) core brl-startverse.h brl-startchapter.h vrs2num.index $(PROGINDEX).c $(PROGRAM) $(TOOLS) $(DATADIST) squish.stats squish.data tags $(PROGRAM).rawconcordance $(PROGRAM).wordcounts

#Don't use this. Use clean :-)
#clobber:;	@rm -f $(PROGOBJS) $(TOOLOBJS) $(PROGRAM) $(TOOLS) $(DATA) \
			$(PROGINDEX).c squish.stats squish.data core tags

# depend:;	@mkmf -f $(MAKEFILE) ROOT=$(ROOT)

echo:;		@echo $(HDRS) $(SRCS)

index:;		@ctags -wx $(HDRS) $(SRCS)

print:;		@$(PRINT) $(HDRS) $(SRCS)

tags:           $(HDRS) $(SRCS); @ctags $(HDRS) $(SRCS)



###############################################################################
# Distribution Targets
###############################################################################
shar:		$(PROGRAM).shar $(DATA).shar $(PROGRAM)-tools.shar

$(PROGRAM).shar: $(PROGDIST)
		shar -cstem $(PROGDIST) > $<

$(DATA).shar:	$(DATADIST)
		shar -cstem $(DATADIST) > $<

$(PROGRAM)-tools.shar: $(TOOLSDIST)
		shar -cstem $(TOOLSDIST) > $<


TARFILES      =	$(PROGRAM).tar.Z \
		$(DATA).tar \
		$(PROGRAM)-tools.tar.Z \
		$(PROGRAM).rawtext.Z

tar:		$(TARFILES)

$(PROGRAM).tar.Z: $(PROGDIST)
		tar cvf $(PROGRAM).tar $(PROGDIST)
		compress $(PROGRAM).tar

$(DATA).tar:	$(DATADIST)
		tar cvf $@ $(DATADIST)

$(PROGRAM)-tools.tar.Z: $(TOOLSDIST)
		tar cvf $(PROGRAM)-tools.tar $(TOOLSDIST)
		compress $(PROGRAM)-tools.tar

# compress raw text data (without deleting uncompressed)
$(PROGRAM).rawtext.Z:	$(PROGRAM).rawtext
		compress <$(PROGRAM).rawtext >$@
		
linustape:	tar
		@echo "Writing Linus tape on device /dev/rct...\c"
		@echo $(TARFILES) | cpio -ocv | tcio -orveVS 8 /dev/rct
		@echo " done."

dattape:	tar
		@echo "Writing tar-format tape on device /dev/dat...\c"
		tar cvf /dev/dat README.ftp $(TARFILES)
		@echo " done."



###############################################################################
# Testing Targets
###############################################################################
stdresults:	test.results
		@echo "Storing Standard test results in test.stdresults...\c"
		@cp test.results test.stdresults
		@touch stdresults
		@echo " done."

test.results:	testall $(PROGRAM)
		@echo "Running Test Suite (results in test.results)...\c"
		@./testall > test.results 2>&1
		@echo " test suite completed"

test:		test.results test.stdresults
		@echo "Comparing results to standard results"
		@if diff -c test.results test.stdresults; \
		then echo "  results OK."; \
		else echo "  results differ.  Possible error."; fi


###############################################################################
# Release/Version Control/Installation Targets
# Except for "install" this will be of no interest to users other than 
# the author. 
###############################################################################
checkin:	$(RCSFILES)
		ci -l $?
		touch checkin

relcheckin:	checkin 
		@if [ "$(RELNAME)" = "" ]; \
		then echo "*** No RELNAME value specified ***"; \
		echo "*** Set RELNAME to release name and export it ***"; \
		exit 1; fi
		@if [ "$(CFLAGS)" != "-O" ]; \
		then echo "*** CFLAGS not set to -O for release ***"; \
		echo "*** Set CFLAGS to -O and export it ***"; \
		exit 1; fi
		rcs -n"$(RELNAME):" -sRel $(RCSFILES)
		echo "$(RELNAME)" > relcheckin

## $(RCSFILES):;	co $@

# The nested makes are here because the timestamps don't get updated
# correctly from the ci -l otherwise.
release:	relcheckin
		make all
		strip $(PROGRAM)
		make stdresults
		make tar
		make relinstall
		touch release

# The "relinstall" target puts all the pieces of a new release into place on

=== debian/changelog ===
bible-kjv (4.41) unstable; urgency=medium

  * Also apply buildflags to randverse build

 -- Matthew Vernon <matthew@debian.org>  Fri, 07 Nov 2025 15:31:45 +0000

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build --no-parallel -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
 	rm -f *.o
 	dh_auto_build --no-parallel -- bible 'LD=$$(CC)'
-	cd debian && $(CC) `dpkg-buildflags --get CFLAGS` -g -O2 -ffile-prefix-map=$(CURDIR)=. -o randverse randverse.c
+	cd debian && $(CC) `dpkg-buildflags --get CFLAGS` `dpkg-buildflags --get CPPFLAGS` `dpkg-buildflags --get LDFLAGS` -g -O2 -ffile-prefix-map=$(CURDIR)=. -o randverse randverse.c
 	touch build
 
 build-arch: build

=== debian/tests/control ===
#Autopkg tests for the Bible package
Tests: bible-tests.sh
Restrictions: allow-stderr
